=== debian/changelog ===
menhir (20151112.dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Add 0002-Pass-byte-plugin-to-ocamlbuild-when-TARGET-byte.patch
      to avoid FTBFS on bytecode architectures.
  * Use Upstream's Makefile to install files

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 22:06:28 +0100

menhir (20141215.dfsg-1~exp1) experimental; urgency=medium

  * New upstream release
    - Requires OCaml >= 4.02~.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 20 Jul 2015 00:00:56 +0000
