=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/menhir
export OCAMLFIND_DESTDIR := $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
BEST := native
ifneq ($(OCAML_BEST),opt)
BEST = byte
endif


override_dh_auto_build:
	$(MAKE) TARGET=$(BEST) PREFIX=/usr

override_dh_auto_clean:
	$(MAKE) -C src/ clean PREFIX=$(DESTDIR)/usr

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) TARGET=$(BEST) PREFIX=$(DESTDIR)/usr install

override_dh_auto_test:

%:
	dh --with ocaml $@
