## menhir 20160808+dfsg

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,11 @@
 
 # By default, we attempt to use ocamlfind (if present in the PATH), but it
 # is possible to prevent that externally by setting USE_OCAMLFIND to false.
+
+# USE_OCAMLFIND is used only at build time (i.e., by "make all"). At
+# (un)installation time, instead, we query menhir using --suggest-ocamlfind.
+# This should protect us against people who pass USE_OCAMLFIND at build time
+# and forget to pass it at (un)installation time.
 
 ifndef USE_OCAMLFIND
   USE_OCAMLFIND = ocamlfind ocamlc -v >/dev/null 2>&1
@@ -164,27 +169,26 @@
 # Install the library.
 	mkdir -p $(libdir)
 	install -m 644 $(MLYLIB) $(libdir)
-	@if $(USE_OCAMLFIND) ; then \
-	  echo Installing MenhirLib via ocamlfind. ; \
+	@if `$(BUILDDIR)/menhir.$(TARGET) --suggest-ocamlfind` ; then \
+	  echo 'Installing MenhirLib via ocamlfind.' ; \
 	  ocamlfind install menhirLib src/META $(patsubst %,$(BUILDDIR)/%,$(MENHIRLIB)) ; \
 	else \
-	  echo Installing MenhirLib manually. ; \
+	  echo 'Installing MenhirLib manually.' ; \
 	  install -m 644 $(patsubst %,$(BUILDDIR)/%,$(MENHIRLIB)) $(libdir) ; \
 	fi
 # Install the documentation, if it has been built.
 	if [ -f manual.pdf ] ; then \
-	  mkdir -p $(docdir) ; \
-	  mkdir -p $(mandir) ; \
-	  cp -r $(DOCS) $(docdir) ; \
+	  mkdir -p $(docdir) $(mandir) && \
+	  cp -r $(DOCS) $(docdir) && \
 	  cp -r $(MANS) $(mandir) ; \
 	fi
 
 uninstall:
+	@if `$(bindir)/$(MENHIREXE) --suggest-ocamlfind` ; then \
+	  echo 'Un-installing MenhirLib via ocamlfind.' ; \
+	  ocamlfind remove menhirLib ; \
+	fi
 	rm -rf $(bindir)/$(MENHIREXE)
 	rm -rf $(libdir)
-	@if $(USE_OCAMLFIND) ; then \
-	  echo Un-installing MenhirLib via ocamlfind. ; \
-	  ocamlfind remove menhirLib ; \
-	fi
 	rm -rf $(docdir)
 	rm -rf $(mandir)/$(MANS)
