=== src/Makefile ===
--- 
+++ 
@@ -43,9 +43,8 @@
 # Checking the version of the OCaml compiler.
 
 .versioncheck:
-	@ echo Checking that Objective Caml is recent enough...
-	@$(OCAMLBUILD) -build-dir _stage1 checkOCamlVersion.byte
-	@ _stage1/checkOCamlVersion.byte --verbose --gt "4.02"
+	@ echo Checking that OCaml is recent enough...
+	@ ocaml checkOCamlVersion.ml --verbose --gt "4.02"
 	@ touch $@
 
 # ----------------------------------------------------------------------------
