=== debian/changelog ===
menhir (20160808+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Aug 2016 10:06:20 +0200

menhir (20160526.dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Aug 2016 10:55:33 +0200
