=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
   Samuel Mimram <smimram@debian.org>,
   Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
-  debhelper (>= 7.0.50),
+  debhelper (>= 9),
   ocaml-nox (>= 4.02~),
   ocaml-findlib,
   dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 Homepage: http://gallium.inria.fr/~fpottier/menhir/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/menhir.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/menhir.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
 
 Package: menhir
 Architecture: any
