=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 override_dh_auto_test:
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
