## menhir 20170607.dfsg

=== debian/changelog ===
menhir (20170607.dfsg-1) unstable; urgency=medium

  * New upstream:
    - refresh patch 0002-Pass-byte-plugin-to-ocamlbuild-when-TARGET-byte
  * Delete obsolete debian/README.source
  * debian/purify_tarball:
    - simplify (drop useless CURDIR)
    - generate tarball with version "+dfsg" instead of ".dfsg"
  * Add myself as uploader
  * Add as-installed package test

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 Jun 2017 22:11:44 +0200
