=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
   Samuel Mimram <smimram@debian.org>,
-  Mehdi Dogguy <mehdi@debian.org>
+  Mehdi Dogguy <mehdi@debian.org>,
+  Ralf Treinen <treinen@debian.org>
 Build-Depends:
   debhelper (>= 9),
   ocaml-nox (>= 4.02~),
