=== debian/tests/control ===
Tests: calcdemo
Depends: ocaml-nox, libfindlib-ocaml
