## menhir 20170712

=== Makefile ===
--- 
+++ 
@@ -100,9 +100,12 @@
 
 # ----------------------------------------------------------------------------
 
-# The directory where things are built.
-
+# The directories where things are built.
+
+# For Menhir and MenhirLib.
 BUILDDIR := src/_stage2
+# For MenhirSdk.
+SDKDIR   := src/_sdk
 
 # ----------------------------------------------------------------------------
 
@@ -120,8 +123,10 @@
 	else \
 	  echo "let ocamlfind = false" >> src/installation.ml ; \
 	fi
-# Compile the library modules and the Menhir executable.
-	@ $(MAKE) -C src library bootstrap
+# Compile the Menhir executable.
+# This causes MenhirLib to be compiled, too, as it is used inside Menhir.
+# Compile MenhirSdk.
+	@ $(MAKE) -C src bootstrap sdk
 # The source file menhirLib.ml is created by concatenating all of the source
 # files that make up MenhirLib. This file is not needed to compile Menhir or
 # MenhirLib. It is installed at the same time as MenhirLib and is copied by
@@ -159,6 +164,15 @@
 MENHIRLIB       := $(MENHIRLIB) menhirLib.cmx menhirLib.$(OBJ)
 endif
 
+# -------------------------------------------------------------------------
+
+# The files that should be installed as part of menhirSdk.
+
+MENHIRSDK       := menhirSdk.cmi menhirSdk.cmo
+ifneq ($(TARGET),byte)
+MENHIRSDK       := $(MENHIRSDK) menhirSdk.cmx menhirSdk.$(OBJ)
+endif
+
 # ----------------------------------------------------------------------------
 # Installation.
 
@@ -166,15 +180,21 @@
 # Install the executable.
 	mkdir -p $(bindir)
 	install $(BUILDDIR)/menhir.$(TARGET) $(bindir)/$(MENHIREXE)
-# Install the library.
+# Install Menhir's standard library.
 	mkdir -p $(libdir)
 	install -m 644 $(MLYLIB) $(libdir)
-	@if `$(BUILDDIR)/menhir.$(TARGET) --suggest-ocamlfind` ; then \
-	  echo 'Installing MenhirLib via ocamlfind.' ; \
-	  ocamlfind install menhirLib src/META $(patsubst %,$(BUILDDIR)/%,$(MENHIRLIB)) ; \
+# Install MenhirLib and MenhirSdk.
+	@if `$(BUILDDIR)/menhir.$(TARGET) --suggest-ocamlfind | tr -d '\r'` ; then \
+	  echo 'Installing MenhirLib and MenhirSdk via ocamlfind.' ; \
+	  cp -f src/menhirLib.META META ; \
+	  ocamlfind install menhirLib META $(patsubst %,$(BUILDDIR)/%,$(MENHIRLIB)) ; \
+	  cp -f src/menhirSdk.META META ; \
+	  ocamlfind install menhirSdk META $(patsubst %,$(SDKDIR)/%,$(MENHIRSDK)) ; \
+	  rm -f META ; \
 	else \
-	  echo 'Installing MenhirLib manually.' ; \
+	  echo 'Installing MenhirLib and MenhirSdk manually.' ; \
 	  install -m 644 $(patsubst %,$(BUILDDIR)/%,$(MENHIRLIB)) $(libdir) ; \
+	  install -m 644 $(patsubst %,$(SDKDIR)/%,$(MENHIRSDK)) $(libdir) ; \
 	fi
 # Install the documentation, if it has been built.
 	if [ -f manual.pdf ] ; then \
@@ -185,8 +205,9 @@
 
 uninstall:
 	@if `$(bindir)/$(MENHIREXE) --suggest-ocamlfind` ; then \
-	  echo 'Un-installing MenhirLib via ocamlfind.' ; \
+	  echo 'Un-installing MenhirLib and MenhirSdk via ocamlfind.' ; \
 	  ocamlfind remove menhirLib ; \
+	  ocamlfind remove menhirSdk ; \
 	fi
 	rm -rf $(bindir)/$(MENHIREXE)
 	rm -rf $(libdir)
