=== debian/changelog ===
menhir (20170712-1) unstable; urgency=medium

  * New upstream release, now including the sources of the manual.
  * New binary package menhir-doc, containing the manual in pdf
    (closes: #484497).
    - add debian/menhir-doc.docs, debian/menhir-doc.doc-base.
    - examples go now into the menhir-doc package.
    - menhir suggests menhir-doc.
  * Since we now have the sources of the manual:
    - drop debian/purify-tarball which is no longer needed.
    - drop upstream filtering from debian/gbp.conf
  * debian/rules:
    - let upstream's makefile install into debian/tmp, then install stuff
      into package directories with dh_*.
    - use dh_missing --fail-missing
  * Added build-dependency on ocamlbuild.
  * Dropped debian/menhir.manpages, debian/menhir.dirs
  * debian/tests/control: add dependency on @
  * Changed section to ocaml
  * Minor improvements of package descriptions.
  * Updated debian/copyright:
    - update header (upstream name and contact)
    - complete file list of library files
    - the files not being part of the library are under GPLv2 now
    - bump copyright years

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Jul 2017 19:58:29 +0200

menhir (20170607.dfsg-3) unstable; urgency=medium

  * as-installed tests: add dependency ocaml-findlib 

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Jul 2017 13:32:18 +0200

menhir (20170607.dfsg-2) unstable; urgency=medium

  * Standards-Version 4.0.0
    - https form of the copyright-format URL
  * libmenhir-ocaml-dev: install everything that upstream installs in
    /usr/lib/ocaml
  * DH compat level 10

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Jun 2017 08:24:06 +0200
