=== debian/control ===
Source: menhir
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
  Ralf Treinen <treinen@debian.org>
Build-Depends:
  debhelper (>= 10),
  ocaml-nox (>= 4.02~),
  ocamlbuild,
  ocaml-findlib,
  dh-ocaml (>= 0.9)
Standards-Version: 4.0.0
Homepage: http://gallium.inria.fr/~fpottier/menhir/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git

Package: menhir
Architecture: any
Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Suggests: menhir-doc
Description: Parser generator for OCaml
 Menhir is a LR(1) parser generator for the OCaml programming language.
 It is mostly compatible with the ocamlyacc parser generator provided with
 the OCaml system, and has the following enhancements over ocamlyacc:
  * it accepts LR(1) grammars,
  * it offers parameterized nonterminal symbols as well as a library of
    standard definitions,
  * it explains conflicts in terms of the grammar,
  * it allows grammar specifications to be split over multiple files and
    parametrized by OCaml modules,
  * it produces reentrant parsers.

Package: libmenhir-ocaml-dev
Architecture: any
Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
Provides:
  ${ocaml:Provides}
Description: Menhir library for OCaml
 Menhir is a LR(1) parser generator for the OCaml programming language.
 It is mostly compatible with the ocamlyacc parser generator provided with
 OCaml, and has a number of enhancements over ocamlyacc.
 .
 This package contains the Menhir library for the OCaml programming language.
 It gives access to, among others, the following modules:
  * InfiniteArray: implements infinite arrays, that is, arrays
    that grow transparently upon demand.
  * RowDisplacement: compresses a two-dimensional table, where some
    values are considered insignificant, via row displacement.
  * Engine: LR parsing engine.

Package: menhir-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation of the Menhir parser generator for OCaml
 Menhir is a LR(1) parser generator for the OCaml programming language.
 It is mostly compatible with the ocamlyacc parser generator provided with
 OCaml, and has a number of enhancements over ocamlyacc.
 .
 This package contains the Menhir manual as a pdf file, and the collection
 of Menhir examples.
