=== debian/tests/control ===
Tests: calcdemo
Depends: @, ocaml-nox, ocaml-findlib
