## menhir 20171206

=== debian/changelog ===
menhir (20171206-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.1.2 (no change)
  * Drop debian/source/local-options

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Dec 2017 21:31:45 +0100

menhir (20171013-1) unstable; urgency=medium

  * New upstream version.
    - drop patch Remove-some-invalid-characters which has been applied upstream
    - drop patch Pass-byte-plugin-to-ocamlbuild-when-TARGET-byte which has
      been applied upstream
  * Standards-Version 4.1.1 (no change)
  * d/tests/control: add dependency ocamlbuild

 -- Ralf Treinen <treinen@debian.org>  Thu, 23 Nov 2017 08:42:12 +0100
