=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   ocamlbuild,
   ocaml-findlib,
   dh-ocaml (>= 0.9)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://gallium.inria.fr/~fpottier/menhir/
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
