=== src/Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 # Ocamlbuild tool and settings.
 
 OCAMLBUILD := ocamlbuild -classic-display -j 0
+ifeq ($(TARGET),byte)
+  OCAMLBUILD := $(OCAMLBUILD) -byte-plugin
+endif
 
 # ----------------------------------------------------------------------------
 # For everyday development.
@@ -22,26 +25,10 @@
 # ----------------------------------------------------------------------------
 # Building Menhir from scratch (a.k.a. bootstrapping).
 
-bootstrap: .versioncheck
+bootstrap:
 	@ $(MAKE) stage1
 	@ $(MAKE) stage2
 	@ $(MAKE) stage3
-
-# ----------------------------------------------------------------------------
-# Checking the version of the OCaml compiler.
-
-# We explicitly build checkOCamlVersion as an OCaml binary program,
-# instead of running it as a script, because that would require
-# #loading str.cma, which is not supported on (some versions of?)
-# Windows.
-
-.versioncheck:
-	@ echo Checking that OCaml is recent enough...
-	@ rm -rf _versioncheck
-	@ $(OCAMLBUILD) -build-dir _versioncheck checkOCamlVersion.byte
-	@ _versioncheck/checkOCamlVersion.byte --verbose --gt "4.02"
-	@ rm -rf _versioncheck
-	@ touch $@
 
 # ----------------------------------------------------------------------------
 # Stage 1.
@@ -106,4 +93,4 @@
 # Cleaning up.
 
 clean::
-	rm -rf .versioncheck _stage1 _stage2 _stage3 _sdk
+	rm -rf _stage1 _stage2 _stage3 _sdk
