=== debian/changelog ===
menhir (20171222-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.1.3 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 02 Jan 2018 19:23:01 +0100
