=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-DESTDIR := $(CURDIR)/debian/menhir
-export OCAMLFIND_DESTDIR := $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
+DESTDIR := $(CURDIR)/debian/tmp
+export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)
 BEST := native
 ifneq ($(OCAML_BEST),opt)
 BEST = byte
@@ -23,6 +23,9 @@
 	mkdir -p $(OCAMLFIND_DESTDIR)
 	$(MAKE) TARGET=$(BEST) PREFIX=$(DESTDIR)/usr install
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_test:
 
 %:
