=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
        http://pauillac.inria.fr/~fpottier/menhir/menhir-(.*)\.tar\.gz
