=== demos/Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 # The following demos require menhirLib:
 #   calc-incremental
 #   calc-inspection
+
 # The following demos require menhirSdk:
 #   generate-printers
+
+# The demos whose name ends in -dune require dune (a.k.a. jbuilder)
+# and assume that Menhir is installed.
 
 DEMOS := \
   calc \
@@ -11,6 +15,9 @@
   calc-incremental \
   calc-inspection \
   generate-printers \
+#  calc-dune \             # this demo causes [make check] to fail
+#  calc-incremental-dune \ # this demo causes [make check] to fail
+#  calc-inspection-dune \  # this demo requires new Dune, not yet released
 
 .PHONY: all clean
