## menhir 20181113

=== Makefile ===
--- 
+++ 
@@ -50,32 +50,24 @@
 docdir		:= $(PREFIX)/share/doc/menhir
 libdir	        := $(PREFIX)/share/menhir
 mandir          := $(PREFIX)/share/man/man1
-MANS            := menhir.1
-DOCS            := manual.pdf manual.html demos
+MANS            := doc/menhir.1
+DOCS            := doc/manual.pdf doc/manual.html doc/manual*.png demos
 MLYLIB          := src/standard.mly
 
 # ----------------------------------------------------------------------------
 
-# A few settings differ on Windows versus Unix.
-
-# If the compiler is MSVC, then object file names end in .obj instead of .o.
-
-ifneq (,$(shell ocamlc -config | grep -E "ccomp_type: msvc"))
-  OBJ          := obj
-# LIBSUFFIX    := lib
-else
-  OBJ          := o
-# LIBSUFFIX    := a
-endif
-
-# If we are under Windows (regardless of whether we are using MSVC or mingw)
-# then the name of the executable file ends in .exe.
-
-ifeq ($(OS),Windows_NT)
-  MENHIREXE    := menhir.exe
-else
-  MENHIREXE    := menhir
-endif
+# The following incantations should work on both Windows and Unix,
+# and allow us to abstract away the differences.
+
+# The extension of object files.
+OBJ := $(shell ocamlc -config | sed -n '/^ext_obj:/p' | sed 's/ext_obj: //')
+# The extension of executable files.
+# Note: the field "ext_exe" seems to have appeared in OCaml 4.05.
+# With earlier versions of OCaml, this incantation defines $(EXE)
+# as the empty string, which could be a problem under Windows.
+EXE := $(shell ocamlc -config | sed -n '/^ext_exe:/p' | sed 's/ext_exe: //')
+# The OS type.
+OS_TYPE := $(shell ocamlc -config | sed -n '/^os_type:/p' | sed 's/os_type: //')
 
 # The path $(installation_libdir), which is recorded in src/installation.ml (see
 # below), must sometimes be translated using cygpath.
@@ -92,10 +84,10 @@
 # performed if "os_type" is "Win32" or "Win64", and must not be performed if
 # "os_type" is "Cygwin" or "Unix".
 
-ifneq (,$(shell ocamlc -config | grep -E "os_type: (Win32|Win64)"))
-installation_libdir := $(shell cygpath -m $(libdir))
+ifeq ($(OS_TYPE),$(filter $(OS_TYPE),Win32 Win64))
+  installation_libdir := $(shell cygpath -m $(libdir) || echo $(libdir))
 else
-installation_libdir := $(libdir)
+  installation_libdir := $(libdir)
 endif
 
 # -------------------------------------------------------------------------
@@ -168,7 +160,7 @@
 
 MENHIRLIB       := menhirLib.mli menhirLib.ml menhirLib.cmi menhirLib.cmo
 ifneq ($(TARGET),byte)
-MENHIRLIB       := $(MENHIRLIB) menhirLib.cmx menhirLib.$(OBJ)
+MENHIRLIB       := $(MENHIRLIB) menhirLib.cmx menhirLib.cmxs menhirLib$(OBJ)
 endif
 
 # -------------------------------------------------------------------------
@@ -177,7 +169,7 @@
 
 MENHIRSDK       := menhirSdk.cmi menhirSdk.cmo
 ifneq ($(TARGET),byte)
-MENHIRSDK       := $(MENHIRSDK) menhirSdk.cmx menhirSdk.$(OBJ)
+MENHIRSDK       := $(MENHIRSDK) menhirSdk.cmx menhirSdk.cmxs menhirSdk$(OBJ)
 endif
 
 # ----------------------------------------------------------------------------
@@ -186,7 +178,7 @@
 install:
 # Install the executable.
 	mkdir -p $(bindir)
-	install $(BUILDDIR)/menhir.$(TARGET) $(bindir)/$(MENHIREXE)
+	install $(BUILDDIR)/menhir.$(TARGET) $(bindir)/menhir$(EXE)
 # Install Menhir's standard library.
 	mkdir -p $(libdir)
 	install -m 644 $(MLYLIB) $(libdir)
@@ -203,20 +195,21 @@
 	  install -m 644 $(patsubst %,$(BUILDDIR)/%,$(MENHIRLIB)) $(libdir) ; \
 	  install -m 644 $(patsubst %,$(SDKDIR)/%,$(MENHIRSDK)) $(libdir) ; \
 	fi
-# Install the documentation, if it has been built.
-	if [ -f manual.pdf ] ; then \
-	  mkdir -p $(docdir) $(mandir) && \
-	  cp -r $(DOCS) $(docdir) && \
+# Install the documentation. (If building from the repository, the documentation
+# may be absent.)
+	if [ -f doc/manual.pdf ] ; then \
+	  mkdir -p $(docdir) $(mandir) ; \
+	  cp -r $(DOCS) $(docdir) ; \
 	  cp -r $(MANS) $(mandir) ; \
 	fi
 
 uninstall:
-	@if `$(bindir)/$(MENHIREXE) --suggest-ocamlfind` ; then \
+	@if `$(bindir)/menhir$(EXE) --suggest-ocamlfind` ; then \
 	  echo 'Un-installing MenhirLib and MenhirSdk via ocamlfind.' ; \
 	  ocamlfind remove menhirLib ; \
 	  ocamlfind remove menhirSdk ; \
 	fi
-	rm -rf $(bindir)/$(MENHIREXE)
+	rm -rf $(bindir)/menhir$(EXE)
 	rm -rf $(libdir)
 	rm -rf $(docdir)
 	rm -rf $(mandir)/$(MANS)
