=== debian/changelog ===
menhir (20181113-1) unstable; urgency=medium

  * new upstream version
  * d/watch: point to inria gitlab
  * d/menhir-doc.docs: also install png pictures of the manual
  * d/rules: remove .gitignore files in examples
  * Standards-Version 4.2.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 14 Nov 2018 22:14:32 +0100

menhir (20180530-2) unstable; urgency=medium

  * menhir-doc: Breaks/Replaces menhir (<< 20170712-1) since examples
    had been moved from menhir to menhir-doc (closes: #903455)
  * Standards-version 4.1.5 (no change).

 -- Ralf Treinen <treinen@debian.org>  Thu, 19 Jul 2018 22:19:24 +0200

menhir (20180530-1) unstable; urgency=medium

  * New upstream version. 
  * Install manual.html into menhir-doc package.
  * Add entry for html manual in doc-base file
  * Update Vcs-* fields to salsa.
  * Standards-Version 4.1.4 (no change).
  * Debhelper compat level 11.
    - menhir-doc.doc-base: manual now installed in /usr/share/doc/menhr

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 Jun 2018 20:39:09 +0200
