=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
   Mehdi Dogguy <mehdi@debian.org>,
   Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  debhelper (>= 10),
+  debhelper (>= 11),
   ocaml-nox (>= 4.02~),
   ocamlbuild,
   ocaml-findlib,
   dh-ocaml (>= 0.9)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://gallium.inria.fr/~fpottier/menhir/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/menhir.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/menhir
+Vcs-Git: https://salsa.debian.org/ocaml-team/menhir.git
 
 Package: menhir
 Architecture: any
@@ -59,6 +59,8 @@
 
 Package: menhir-doc
 Section: doc
+Replaces: menhir (<< 20170712-1)
+Breaks:  menhir (<< 20170712-1)
 Architecture: all
 Depends: ${misc:Depends}
 Description: Documentation of the Menhir parser generator for OCaml
