=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,15 @@
 	mkdir -p $(OCAMLFIND_DESTDIR)
 	$(MAKE) TARGET=$(BEST) PREFIX=$(DESTDIR)/usr install
 
+override_dh_installexamples:
+	dh_installexamples
+	if [ -d debian/menhir-doc/usr/share/doc/menhir/examples ]; \
+	then \
+	  find debian/menhir-doc/usr/share/doc/menhir/examples \
+	    -name .gitignore -delete ; \
+	fi
+
+
 override_dh_missing:
 	dh_missing --fail-missing
